Package org.apache.wiki.plugin

# Class CurrentTimePlugin

java.lang.Object
org.apache.wiki.plugin.CurrentTimePlugin

All Implemented Interfaces:
  `org.apache.wiki.api.plugin.Plugin`

public class CurrentTimePlugin extends Object implements org.apache.wiki.api.plugin.Plugin
Just displays the current date and time. The time format is exactly like in the java.text.SimpleDateFormat class.

Parameters :

NONE

Since:
  1.7.8
See Also:
  - `SimpleDateFormat`

## Field Summary

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`CurrentTimePlugin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(org.apache.wiki.api.core.Context context, Map<String,String> params)`
`String`
`getDisplayName(Locale locale)`
`String`
`getSnipExample()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CurrentTimePlugin

public CurrentTimePlugin()

## Method Details

### getDisplayName

public String getDisplayName(Locale locale)

Specified by:
  `getDisplayName` in interface `org.apache.wiki.api.plugin.Plugin`

### getSnipExample

public String getSnipExample()

Specified by:
  `getSnipExample` in interface `org.apache.wiki.api.plugin.Plugin`

### execute

public String execute(org.apache.wiki.api.core.Context context, Map<String,String> params) throws org.apache.wiki.api.exceptions.PluginException

Specified by:
  `execute` in interface `org.apache.wiki.api.plugin.Plugin`
Throws:
  `org.apache.wiki.api.exceptions.PluginException`